Bug 428772 - Armacycles/Armagetron Advanced segmentation fault
Armacycles/Armagetron Advanced segmentation fault
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: armacycles-ad (Show other bugs)
7
i386 Linux
low Severity high
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
http://www.armagetronad.net
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-14 22:54 EST by Christopher Tubbs
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:55:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Tubbs 2008-01-14 22:54:31 EST
Description of problem:
While playing armacycles/armagetron advanced, the game occasionally crashes
without warning, because of a segmentation fault in the kernel (exists on
2.6.23.12-52.fc7 as well as past several kernel releases in F7 and has occurred
in F8 as well).

Version-Release number of selected component (if applicable):
kernel-2.6.23.12-52.fc7
armacycles-ad-0.2.8.2.1-5.fc7
xorg-x11-drv-i810-2.0.0-4.fc7

How reproducible:
Very. It happens after playing for a time, but the time does not seem to be a
consistent time. I haven't timed it, and it surprises me every time, but it
almost always crashes after playing 1-2 hours.

Steps to Reproduce:
1. Start game.
2. Play for 1-2 hours.
3. Act surprised when it quits.
  
Actual results:
Game quits unexpectedly.

Expected results:
Game continues playing.

Additional info:

content of /var/log/messages :
Jan 14 22:34:37 lappy kernel: armacyclesad[5683]: segfault at 0000000a eip 00b60
f46 esp b7d8dd04 error 4

hardware profile from /sbin/lspci :

00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT
Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS,
943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS, 943/940GML
Express Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
Audio Controller (rev 01)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1
(rev 01)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2
(rev 01)
00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4
(rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI
Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge
(rev 01)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE
Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
02:00.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)
0c:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network
Connection (rev 02)
Comment 1 Manuel Moos 2008-01-18 05:50:49 EST
I tried to reproduce this with what I've got.

"Hardware": Virtual Box 1.5.4 non-gnu version running on Kubuntu Gutsy Gibbon, 
with tools installed. That means, of course, the game will use software 
rendering.

Software: FC 8 with latest updates, that is
kernel: 2.6.23.9-85.fc8-i686
X11: 1.3.0.0-37.fc8.i386
armacyclesad: 0.2.8.2.1-5.fc8.i386 and vanilla 0.2.8.2.1 compiled from source 
with DEBUGLEVEL=1

The system defaults were only changed in one point, the screen saver was 
disabled. Game settings, apart from player name, spectator mode and screen 
resolution, were also at default.

The test: switch player 1 to spectator mode, set up a game between AIs only in 
320x200 screen resolution, and leave it running overnight. Some network games 
were spectated as well, but most servers are set to kick idle spectators. It 
would have been a better test to actually play, but I'm not really willing 
enduring software rendering and virtual machine typical timer glitches for 
several hours.

No crash was observed so far. This mostly rules out errors in the game, the 
kernel and X11 as causes for the reported crashes, leaving the hardware itself 
or the device drivers as the most probable cause. I'll repeat the tests over 
the following nights, maybe extend them to remote GLX sessions, and report it 
if anything new happens.
Comment 2 Jon Ciesla 2008-01-18 07:49:04 EST
I can't reproduce this on my real hardware, either, on f8.  Might want to see if
a memtest86+ run helps.  In case youhadn't done this in Fedora before, just, as
root, run:

yum install memtest86+
/usr/sbin/memtest-setup

then reboot, and choose Memtest from your GRUB menu.
Comment 3 Brian Powell 2008-04-25 00:55:53 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.